CMS Tool API

CMS Tool API schema

Public API version 1.4.10.

/api/webhook_{type}

Read or update a webhook destination for a supported event type.

GET

Read the configured destination.

POST

Set or remove a webhook destination.

Request content type: application/json

Request body fields

NameTypeExampleNotes
hookUrltextexampleSet the hook url value.
deletebooleantrueSet the delete value. Accepts true or 1.

/api/webhook_log

Read webhook delivery history.

GET

Read webhook delivery history.

Query parameters

NameTypeExampleNotes
objectidint123Filter results by objectid.
objecttypetextexampleFilter results by objecttype.

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.